### Class

# Hinawa FwReq

#### Description [src]

    class Hinawa.FwReq : GObject.Object
    {
      /* No available fields */
    }

A transaction executor to a node in IEEE 1394 bus. `HinawaFwReq` supports all types of transactions defiend in IEEE 1212.

#### Ancestors

- GObject

#### Constructors

###### hinawa_fw_req_new

Instantiate `HinawaFwReq` object and return the instance.

since: 1.3

#### Instance methods

###### hinawa_fw_req_request

Execute request subaction of transaction to the given node according to given code. When the response subaction arrives and running event dispatcher reads the contents, `HinawaFwReq::responded` signal handler is called.

since: 4.0

###### hinawa_fw_req_transaction

Execute request subaction of transaction to the given node according to given code, then wait for response subaction within the value of timeout argument. The function is a thin wrapper to `hinawa_fw_req_transaction_with_tstamp()`.

since: 4.0

###### hinawa_fw_req_transaction_with_tstamp

Execute request subaction of transaction to the given node according to given code, then wait for response subaction within the given timeout.

since: 2.6

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Hinawa.FwReq::responded

Emitted when the node transfers asynchronous packet as response subaction for the transaction and the process successfully reads the content of packet from Linux firewire subsystem.

since: 4.0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct HinawaFwReqClass {
      GObjectClass parent_class;
      void (* responded) (
        HinawaFwReq* self,
        HinawaFwRcode rcode,
        guint request_tstamp,
        guint response_tstamp,
        const guint8* frame,
        guint frame_size
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`responded: void (* responded) ( HinawaFwReq* self, HinawaFwRcode rcode, guint request_tstamp, guint response_tstamp, const guint8* frame, guint frame_size )`

  No description available.

#### Virtual methods

###### Hinawa.FwReqClass.responded

Class closure for the `HinawaFwReq::responded` signal.

since: 4.0